ALTER TABLE NNANDROID ADD ZADNJA_SINH VARCHAR2(1 BYTE);

ALTER TABLE NNANDROID 
ADD (
  PRENESI_SIFRANTE VARCHAR2(1 BYTE) DEFAULT 'Y'
);

CREATE OR REPLACE VIEW V_REZERVAC_DATA AS (
	SELECT DISTINCT v.id, v.datum_rezervacije, v.datum_do, v.id_lastnika, v.id_plovila, v.id_privez, v.plovilo, p.dolzina, p.sirina
	FROM v_rezervac v LEFT OUTER JOIN plovila p ON p.id = v.id_plovila
);

CREATE TABLE NNMARKER 
(
  ID_MARKER NUMBER NOT NULL 
, SIFRA VARCHAR2(2 CHAR) NOT NULL 
, LATITUDE VARCHAR2(20 BYTE) NOT NULL 
, LONGITUDE VARCHAR2(20 BYTE) NOT NULL 
, ZAP_ST NUMBER NOT NULL 
, CONSTRAINT NNMARKER_PK PRIMARY KEY 
  (
    ID_MARKER 
  )
  ENABLE 
);

CREATE SEQUENCE NNMARKER_SEQ INCREMENT BY 1 MAXVALUE 999999999999999999999999999 MINVALUE 1;

ALTER TABLE NNPRIKLJ
ADD (
  DOKUMENT BLOB, 
  DATOTEKA VARCHAR2(250 CHAR), 
  TIP VARCHAR2(5 CHAR), 
  USER_KREIRANJA VARCHAR2(20 CHAR), 
  DATUM_KREIRANJA DATE, 
  ACTION VARCHAR2(1 CHAR) 
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (295, SYSDATE, '5.5', 215, 'Android');