ALTER TABLE NAJAVE
ADD NAVODILO VARCHAR2(500 CHAR);

ALTER TABLE NN_NOWORKTIME ADD (ID_NN_NOWORKTIME NUMBER);

CREATE SEQUENCE NN_NOWORKTIME_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

UPDATE NN_NOWORKTIME 
SET ID_NN_NOWORKTIME = NN_NOWORKTIME_SEQ.NEXTVAL
WHERE ID_NN_NOWORKTIME IS NULL;

ALTER TABLE NN_NOWORKTIME ADD (
CONSTRAINT NN_NOWORKTIME_PK PRIMARY KEY (ID_NN_NOWORKTIME));

CREATE OR REPLACE
TRIGGER NN_NOWORKTIME_TRG
BEFORE INSERT
ON NN_NOWORKTIME
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ID_NN_NOWORKTIME IS NULL) THEN
          SELECT NN_NOWORKTIME_SEQ.NEXTVAL INTO :NEW.ID_NN_NOWORKTIME FROM DUAL;;
	END IF;;
END;;
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(541, SYSDATE, '5.5', 461, 'Najave');
