CREATE TABLE NNFINAL_DEPARTURE_STATUS (
	SIFRA NUMBER NOT NULL,
	OPIS VARCHAR2(100 CHAR),
	INTERNI_OPIS VARCHAR2(100 CHAR),
	AKT VARCHAR2 (1 CHAR),
	CONSTRAINT NNFINAL_DEPARTURE_STATUS_PK PRIMARY KEY (SIFRA)
);

INSERT INTO NNFINAL_DEPARTURE_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(1, 'Completed', 'Completed', 'Y');

INSERT INTO NNFINAL_DEPARTURE_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(0, 'Uncompleted', 'Uncompleted', 'Y');

INSERT INTO NNFINAL_DEPARTURE_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(-1, 'Error', 'Error', 'Y');

INSERT INTO NNFINAL_DEPARTURE_STATUS(SIFRA, OPIS, INTERNI_OPIS, AKT) VALUES
(-2, 'Cancelled', 'Cancelled', 'Y');

ALTER TABLE FINAL_DEPARTURE
ADD STATUS NUMBER;

UPDATE FINAL_DEPARTURE
SET STATUS = 1
WHERE COMPLETED = 'Y';

UPDATE FINAL_DEPARTURE
SET STATUS = 0
WHERE COMPLETED = 'N';

CREATE OR REPLACE VIEW V_FINAL_DEPARTURE AS
SELECT F.ID, F.ID_LASTNIKA, F.ID_PLOVILA, F.DEPARTURE_DATE, F.COMPLETED, F.REASON, F.MESSAGE, F.STATUS,
DS.OPIS AS FD_STATUS_OPIS, DS.INTERNI_OPIS AS FD_STATUS_INTERNI_OPIS, P.IME AS PLOVILA_IME, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK
FROM FINAL_DEPARTURE F
LEFT OUTER JOIN NNFINAL_DEPARTURE_STATUS DS ON DS.SIFRA = F.STATUS
LEFT OUTER JOIN PLOVILA P ON P.ID = F.ID_PLOVILA
LEFT OUTER JOIN KUPCI K ON K.ID = F.ID_LASTNIKA;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (846, SYSDATE, '5.5', 766, 'Final departure 2');