ALTER TABLE SC_EVENTPARATT
ADD PAYER_ID NUMBER;

ALTER TABLE SC_EVENTPARATT 
ADD ID_STORITVE NUMBER;

CREATE OR REPLACE VIEW V_SC_EVENTPARATT AS (
	SELECT DISTINCT E.ID AS SC_EVENTPARATT_ID, E.SC_EVENTPAR_ID, E.ATT_DATE, E.ID_STORITVE, E.PAYER_ID,
  M.N_RACUNA AS M_STORITVE_N_RACUNA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  P.IME AS PAYER_IME, P.PRIIMEK AS PAYER_PRIIMEK, P.ID_MEMBER AS PAYER_ID_MEMBER, P.YACHT_CLUB_ID AS PAYER_YACHT_CLUB_ID
	FROM SC_EVENTPARATT E
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = E.ID_STORITVE
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_STORITVE = E.ID_STORITVE AND (R.ZAP_ST IS NULL OR R.ZAP_ST = 1)
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = R.ID_SALDKONT 
  LEFT OUTER JOIN KUPCI P ON P.ID = E.PAYER_ID
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(579, SYSDATE, '5.5', 499, 'ScEventParAtt dodelave');